type VividOptions = {
  pathname?: string;
};
export class Vivid {
  pathname: string;
  constructor(opts?: VividOptions) {
    this.pathname = opts?.pathname || '';
    console.log('Vivid constructor');
  }
  getContent() {
    return 'Hello World';
  }
  getHTML() {
    return `<!DOCTYPE html>
    <html lang="en">
    <head>
      <meta charset="UTF-8">
      <meta name="keywords" content="vivid, kevisual, envision, micro-app">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <title>Vivid</title>
    </head>
    <body>
      <div id="root">
        ${this.getContent()}
      </div>
      </body>
    </html>
    `;
  }
}
